% thesis.sty 9-February-1995

\typeout{Document Style `UAH Thesis'. Escaped 9-Feb-1995 from D. G. Brown.}

\def\@ptsize{0} \@namedef{ds@11pt}{\def\@ptsize{1}}
\@namedef{ds@12pt}{\def\@ptsize{2}}
\def\ds@twoside{\@twosidetrue \@mparswitchtrue} \def\ds@draft{\overfullrule
5pt}
\@options
\input the951\@ptsize.sty\relax



\def\labelenumi{\arabic{enumi}.}
\def\theenumi{\arabic{enumi}}
\def\labelenumii{(\alph{enumii})}
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}
\def\labelenumiii{\roman{enumiii}.}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}
\def\labelenumiv{\Alph{enumiv}.}
\def\theenumiv{\Alph{enumiv}}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}

\def\verse{\let\\=\@centercr
 \list{}{\itemsep\z@ \itemindent -1.5em\listparindent \itemindent
 \rightmargin\leftmargin\advance\leftmargin 1.5em}\item[]}
\let\endverse\endlist
\def\quotation{\list{}{\listparindent 1.5em
 \itemindent\listparindent
 \rightmargin\leftmargin\parsep 0pt plus 1pt}\item[]}
\let\endquotation=\endlist
\def\quote{\list{}{\rightmargin\leftmargin}\item[]}
\let\endquote=\endlist

\def\descriptionlabel#1{\hspace\labelsep \bf #1}
\def\description{\list{}{\labelwidth\z@ \itemindent-\leftmargin
 \let\makelabel\descriptionlabel}}
\let\enddescription\endlist
\newdimen\descriptionmargin
\descriptionmargin=3em


\def\titlepage{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \else \newpage \fi \thispagestyle{empty}\c@page\z@}
\def\endtitlepage{\if@restonecol\twocolumn \else \newpage \fi}

\arraycolsep 5pt \tabcolsep 6pt \arrayrulewidth .4pt \doublerulesep 2pt
\tabbingsep \labelsep
\skip\@mpfootins = \skip\footins
\fboxsep = 3pt \fboxrule = .4pt

\newcounter{part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\def\thepart {\Roman{part}}
%\def\thechapter {\Roman{chapter}} %necessary for thesis
\def\thechapter {\arabic{chapter}} %necessary for thesis, mod 3/25/2002
\def\thesection {\thechapter.\Alph{section}}
\def\thesubsection {\thesection.\arabic{subsection}}
\def\thesubsubsection {\thesubsection.\alph{subsubsection}}
\def\theparagraph {\thesubsubsection (\arabic{paragraph})}
\def\thesubparagraph {\theparagraph (\alph{subparagraph})}
%\def\thesection {\Alph{section}.}
%\def\thesubsection {\arabic{subsection}.}
%\def\thesubsubsection {\alph{subsubsection}.}
%\def\theparagraph {(\arabic{paragraph}).}
%\def\thesubparagraph {(\alph{subparagraph}).}
%\def\@chapapp{Chapter}
\def\@chapapp{}
\def\@chapappmark{.}
\def\@chapapptoc{0in}
\def\@chapappspace{0in}


\def\@pnumwidth{1.55em}
\def\@tocrmarg {2.55em}
\def\@dotsep{4.5}
\setcounter{tocdepth}{3}

\def\dotfill{\cleaders\hbox{$\m@th \mkern4.5mu . \mkern4.5mu$}\hfill}

\def\tableofcontents{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\chapter*{TABLE OF CONTENTS\@mkboth{CONTENTS}{CONTENTS}}
\hfill {\bf Page}\par
 \@starttoc{toc}\if@restonecol\twocolumn\fi}
\def\l@part#1#2{\addpenalty{-\@highpenalty}
 \addvspace{2.0em plus 1pt} \begingroup
% \@tempdima 3em \parindent \z@ \rightskip \@pnumwidth \parfillskip
% \@tempdima 0em \parindent \z@ \rightskip \@pnumwidth \parfillskip
 \@tempdima 0.em \leftskip 0.6em\parindent \z@ \rightskip \@pnumwidth \parfillskip
-\@pnumwidth
% {\large \bf \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
% \nobreak \endgroup}
% {\leavevmode {\bf #1}\dotfill \hbox to\@pnumwidth{\hss #2}}\par
 {\bf \leavevmode {#1}\dotfill \hbox to\@pnumwidth{\hss #2}}\par
 \nobreak \endgroup}

\def\l@chapter#1#2{\pagebreak[3]
% \vskip 1.0em plus 1pt \@tempdima 1.5em \begingroup
% \vskip 2.0em plus 1pt \leftskip -.25em \@tempdima 2.5em \begingroup
% \vskip 2.0em plus 1pt  \@tempdima 3.5em \begingroup
 \vskip 2.0em plus 1pt  \leftskip 3.5em \@tempdima 3.5em \begingroup
 \parindent -3.5em \rightskip \@pnumwidth
 \parfillskip -\@pnumwidth
% \bf \leavevmode {\uppercase{#1}}\hfil \hbox to\@pnumwidth{\hss #2}\par
 \bf \leavevmode {\uppercase{#1}}\dotfill \hbox to\@pnumwidth{\hss #2}\par
 \endgroup
 \vskip .5em plus 1pt}
\def\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\def\l@section{\@dottedtocline{1}{2.5em}{3.0em}}
\def\l@subsection{\@dottedtocline{2}{5.5em}{4.0em}}
\def\l@subsubsection{\@dottedtocline{3}{9.5em}{5em}}
\def\l@paragraph{\@dottedtocline{4}{14.5em}{6em}}
\def\l@subparagraph{\@dottedtocline{5}{20.5em}{7em}}
%\def\l@section{\@dottedtocline{1}{3.5em}{2.0em}}
%\def\l@subsection{\@dottedtocline{2}{5.5em}{2.0em}}
%\def\l@subsubsection{\@dottedtocline{3}{7.5em}{2em}}
%\def\l@paragraph{\@dottedtocline{4}{9.5em}{3em}}
%\def\l@subparagraph{\@dottedtocline{5}{12.5em}{3em}}
\def\listoffigures{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\part{LIST OF FIGURES\@mkboth{LIST OF FIGURES}{LIST OF FIGURES}}
{\noindent \bf Figure \hfill Page}\par
\@starttoc{lof}\if@restonecol\twocolumn
 \fi}
%\def\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\def\l@figure{\@dottedtocline{1}{0.0em}{2.0em}}
\def\listoftables{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\part{LIST OF TABLES\@mkboth{LIST OF TABLES}{LIST OF TABLES}}
{\noindent \bf Table \hfill Page \par}
\@starttoc{lot}\if@restonecol\twocolumn
 \fi}
\let\l@table\l@figure


\def\thebibliography#1{\part{REFERENCES\@mkboth
 {REFERENCES}{REFERENCES}}
\singlesize
\list
 %{[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
 {[\arabic{enumi}]}{ \itemindent -20pt\settowidth\labelwidth{[]}
  \leftmargin\labelwidth
 \advance\leftmargin\labelsep
 \usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus -.07em}
 \sloppy
 \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist
%\let\endthebibliography=\vfill\eject
\def\@biblabel#1{#1} % produces label for bibitem (no label in my format)
\def\@cite#1{#1} % produces label in text


\newif\if@restonecol
\def\theindex{\@restonecoltrue\if@twocolumn\@restonecolfalse\fi
\columnseprule \z@
\columnsep 35pt\twocolumn[\@makeschapterhead{Index}]
 \@mkboth{INDEX}{INDEX}\thispagestyle{plain}\parindent\z@
 \parskip\z@ plus .3pt\relax\let\item\@idxitem}
\def\@idxitem{\par\hangindent 40pt}
\def\subitem{\par\hangindent 40pt \hspace*{20pt}}
\def\subsubitem{\par\hangindent 40pt \hspace*{30pt}}
\def\endtheindex{\if@restonecol\onecolumn\else\clearpage\fi}
\def\indexspace{\par \vskip 10pt plus 5pt minus 3pt\relax}

\def\footnoterule{\kern-3\p@
 \hrule width .4\columnwidth
 \kern 2.6\p@}
\@addtoreset{footnote}{chapter}
\long\def\@makefntext#1{\parindent 1em\noindent
 \hbox to 1.8em{\hss$^{\@thefnmark}$}#1}


\setcounter{topnumber}{2}
\def\topfraction{.7}
\setcounter{bottomnumber}{1}
\def\bottomfraction{.3}
\setcounter{totalnumber}{3}
\def\textfraction{.2}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}

\long\def\@makecaption#1#2{
 \vskip 24pt
 \setbox\@tempboxa\hbox{#1 #2}
 \ifdim \wd\@tempboxa >\hsize \unhbox\@tempboxa\par \else \hbox
to\hsize{\hfil\box\@tempboxa\hfil}
 \fi
 \vskip 24pt}


\newcounter{figure}[chapter]
%\def\thefigure{\thesection\@arabic\c@figure.}
%\newcounter{figure}
%\def\thefigure{\@arabic\c@figure.}
\def\thefigure{\arabic{chapter}.\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{Figure \thefigure}
\def\figure{\@float{figure}}
\let\endfigure\end@float
\@namedef{figure*}{\@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat}
\newcounter{table}[chapter]
%\def\thetable{\thesection\@arabic\c@table.}
%\newcounter{table}
\def\thetable{\arabic{chapter}.\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{Table \thetable}
\def\table{\@float{table}}
\let\endtable\end@float
\@namedef{table*}{\@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat}

%\input titlepage.sty

\mark{{}{}}

\if@twoside \def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}\def\@evenhead{\rm \thepage\hfil \sl
\leftmark}\def\@oddhead{\hbox{}\sl \rightmark \hfil
\rm\thepage}\def\chaptermark##1{\markboth {\uppercase{\ifnum \c@secnumdepth
>\m@ne
 \@chapapp\ \thechapter. \ \fi ##1}}{}}\def\sectionmark##1{\markright
{\uppercase{\ifnum \c@secnumdepth >\z@
 \thesection. \ \fi ##1}}}}
\else \def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}\def\@oddhead{\hbox {}\sl \rightmark \hfil
\rm\thepage}\def\chaptermark##1{\markright {\uppercase{\ifnum \c@secnumdepth
>\m@ne
 \@chapapp\ \thechapter. \ \fi ##1}}}}
\fi
\def\ps@myheadings{\let\@mkboth\@gobbletwo
\def\@oddhead{\hbox{}\sl\rightmark \hfil
\rm\thepage}\def\@oddfoot{}\def\@evenhead{\rm \thepage\hfil\sl\leftmark\hbox
{}}\def\@evenfoot{}\def\sectionmark##1{}\def\subsectionmark##1{}}


\def\today{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\day, \number\year}
\@addtoreset{equation}{chapter}
%\@addtoreset{equation}{section}
%\@addtoreset{equation}{part}
\def\theequation{\arabic{chapter}.\arabic{equation}}


\ps@plain \pagenumbering{arabic} \onecolumn \if@twoside\else\raggedbottom\fi
